Update partner settings

Partner-level settings apply to all entities of that partner. See also: * [Update entity settings](https://docs.monite.com/api/entities/patch-entities-id-settings)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
api_versionenumOptional
Default API version for partner.
commercial_conditionslist of stringsOptional

Unused. To specify the terms and conditions for invoices and quotes, use the commercial_condition_description field in those documents.

currencyobjectOptional
Custom currency exchange rates.
default_rolemap from strings to anyOptional
A default role to provision upon new entity creation.
mailobjectOptional
Settings for outgoing email. Used by: * accounts receivable emails, for example, emails sent by `POST /recevables/{receivable_id}/send`, * accounts payable approval notifications.
payableobjectOptional
Settings for accounts payable.
paymentsobjectOptional
Settings for the payments module.
receivableobjectOptional
Settings for accounts receivable.
unitslist of objectsOptional

Unused. To manage the measure units for your entities, use the /measure_units endpoints.

websitestringOptional

The URL of the partner’s website. Must be an HTTPS URL. Required if the partner’s entities use payment links. The “Powered by” badge in the payment page footer will link to this website.

Response

Successful Response
api_versionenum
Default API version for partner.
commercial_conditionslist of strings

Unused. To specify the terms and conditions for invoices and quotes, use the commercial_condition_description field in those documents.

currencyobject
Custom currency exchange rates.
default_rolemap from strings to any
A default role to provision upon new entity creation.
mailobject

Settings for outgoing email. Used by:

  • accounts receivable emails, for example, emails sent by POST /recevables/{receivable_id}/send,
  • accounts payable approval notifications.
payableobject
Settings for accounts payable.
paymentsobject
Settings for the payments module.
receivableobject
Settings for accounts receivable.
unitslist of objects

Unused. To manage the measure units for your entities, use the /measure_units endpoints.

websitestring

The URL of the partner’s website. Must be an HTTPS URL. Required if the partner’s entities use payment links. The “Powered by” badge in the payment page footer will link to this website.

Errors

400
Patch Settings Request Bad Request Error
401
Patch Settings Request Unauthorized Error
403
Patch Settings Request Forbidden Error
404
Patch Settings Request Not Found Error
422
Patch Settings Request Unprocessable Entity Error
429
Patch Settings Request Too Many Requests Error